import numpy as np
from pydantic import BaseModel, ConfigDict


class Sim3Transform(BaseModel):
    model_config = ConfigDict(arbitrary_types_allowed=True)

    translation: np.ndarray
    rotation: np.ndarray
    scale: float

